Skip to main content
SLO & Service Quality/SLO

ListBudgetAlerts

List all budget alert configurations for an SLO objective.

GET/api/v1/slo/objectives/{sloId}/budget-alerts

Operation ID

ListBudgetAlerts

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Path Parameters

  • sloId
    StringRequired

    Identifier of the SLO objective whose alerts to list.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • items
    List

    Paginated list of budget alert configurations.

    Example: (nested array)

    • id
      String

      Unique identifier of the budget alert configuration.

      Example: alert-cfg-001

    • sloId
      String

      Identifier of the SLO objective this alert is associated with.

      Example: slo-xyz789

    • consumedPctThreshold
      Long

      Consumption percentage threshold that triggers the alert.

      Example: 80

    • severity
      String

      Severity level of the alert: warning | critical.

      Example: warning

    • notificationChannels
      List

      List of notification channel identifiers to alert.

      Example: item1,item2

  • total
    Integer

    Total number of budget alert configurations.

    Example: 3

  • limit
    Integer

    Maximum number of items returned per page.

    Example: 20

  • offset
    Integer

    Number of items skipped before this page.

    Example: 20